package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

@Entity
@Table(name="maint_legal_entity")
@Getter
@Setter
public class MaintLegalEntity implements Serializable{

/*	Table: maint_legal_entity
	-----------------------------

	Column Information
	----------------------

	Field                   Type         Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  -----------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	legal_entity_code       int(2)       (NULL)             NO      PRI     (NULL)                                          select,insert,update,references           
	legal_entity_name       varchar(50)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	number_of_levels        int(2)       (NULL)             NO              (NULL)                                          select,insert,update,references           
	status                  varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp    (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp    (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp    (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp
	*/
	
	
	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Column(name="legal_entity_name")
	private String legalEntityName;
	
	@Column(name="number_of_levels")
	private Integer numberOfLevels;
	
	@Column(name="status")
	private String status;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="maker")
	private String maker;

	@Column(name="checker")
	private String checker;

	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	@Column(name="checker_timestamp")
	private Date checkerTimestamp;

	@Column(name = "businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name = "sysdate_timestamp")
	private Date sysdateTimestamp;

	/*@Column(name="audit_or_inspection")
	private String auditOrInspection;

	@Column(name="auditor_or_inspector")
	private String auditorOrInspector;*/

	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the legalEntityName
	 */
	public String getLegalEntityName() {
		return legalEntityName;
	}

	/**
	 * @param legalEntityName the legalEntityName to set
	 */
	public void setLegalEntityName(String legalEntityName) {
		this.legalEntityName = legalEntityName;
	}

	/**
	 * @return the numberOfLevels
	 */
	public Integer getNumberOfLevels() {
		return numberOfLevels;
	}

	/**
	 * @param numberOfLevels the numberOfLevels to set
	 */
	public void setNumberOfLevels(Integer numberOfLevels) {
		this.numberOfLevels = numberOfLevels;
	}



	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
/*
	public String getAuditOrInspection() {
		return auditOrInspection;
	}

	public void setAuditOrInspection(String auditOrInspection) {
		this.auditOrInspection = auditOrInspection;
	}

	public String getAuditorOrInspector() {
		return auditorOrInspector;
	}

	public void setAuditorOrInspector(String auditorOrInspector) {
		this.auditorOrInspector = auditorOrInspector;
	}
	*/

	
	@Column(name = "audit_or_inspection")
	private String auditOrInspection;

	@Column(name = "enable_captcha")
	private boolean enableCaptcha;

	@Column(name = "header_logo")
	private String headerLogo;

	@Column(name = "footer_logo")
	private String footerLogo;

	@Column(name = "jwt_secret")
	private String jwtSecret;
}
